common.hpp File Reference

Unsettled API - Shared codec functions. More...

`#include "../type_id.hpp"`
Include dependency graph for common.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | start
| Unsettled API - Start encoding a complex type. More...
struct | finish
| Unsettled API - Finish inserting or extracting a complex type. More...

## Namespaces

| proton
| The main Proton namespace.
| proton::codec
| Unsettled API - AMQP data encoding and decoding.

## Detailed Description

Unsettled API - Shared codec functions.

## Class Documentation

## proton::codec::start

struct proton::codec::start

Unsettled API - Start encoding a complex type.

## proton::codec::finish

struct proton::codec::finish

Unsettled API - Finish inserting or extracting a complex type.